

package ibspan.tss.oms.ontology;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
import com.hp.hpl.jena.rdf.model.*;
import com.ibm.adtech.jastor.*;
import java.util.*;
import java.math.*;
*/


/**
 * Implementations of this listener may be registered with instances of ibspan.tss.oms.ontology.ExtInfo to 
 * receive notification when properties changed, added or removed.
 * <br>
 */
public interface ExtInfoListener extends com.ibm.adtech.jastor.ThingListener {


	/**
	 * Called when a value of hasPositiveOntSrc has been added
	 * @param source the affected instance of ibspan.tss.oms.ontology.ExtInfo
	 * @param newValue the object representing the new value
	 */	
	public void hasPositiveOntSrcAdded(ibspan.tss.oms.ontology.ExtInfo source, ibspan.tss.oms.ontology.OntologySource newValue);

	/**
	 * Called when a value of hasPositiveOntSrc has been removed
	 * @param source the affected instance of ibspan.tss.oms.ontology.ExtInfo
	 * @param oldValue the object representing the removed value
	 */
	public void hasPositiveOntSrcRemoved(ibspan.tss.oms.ontology.ExtInfo source, ibspan.tss.oms.ontology.OntologySource oldValue);
		
	/**
	 * Called when hasMainOntSrc has changed
	 * @param source the affected instance of ibspan.tss.oms.ontology.ExtInfo
	 */
	public void hasMainOntSrcChanged(ibspan.tss.oms.ontology.ExtInfo source);

	/**
	 * Called when hasUpdateDateTime has changed
	 * @param source the affected instance of ibspan.tss.oms.ontology.ExtInfo
	 */
	public void hasUpdateDateTimeChanged(ibspan.tss.oms.ontology.ExtInfo source);

	/**
	 * Called when a value of hasNegativeOntSrc has been added
	 * @param source the affected instance of ibspan.tss.oms.ontology.ExtInfo
	 * @param newValue the object representing the new value
	 */	
	public void hasNegativeOntSrcAdded(ibspan.tss.oms.ontology.ExtInfo source, ibspan.tss.oms.ontology.OntologySource newValue);

	/**
	 * Called when a value of hasNegativeOntSrc has been removed
	 * @param source the affected instance of ibspan.tss.oms.ontology.ExtInfo
	 * @param oldValue the object representing the removed value
	 */
	public void hasNegativeOntSrcRemoved(ibspan.tss.oms.ontology.ExtInfo source, ibspan.tss.oms.ontology.OntologySource oldValue);
		
	/**
	 * Called when hasIncompleteCheckDateTime has changed
	 * @param source the affected instance of ibspan.tss.oms.ontology.ExtInfo
	 */
	public void hasIncompleteCheckDateTimeChanged(ibspan.tss.oms.ontology.ExtInfo source);

	/**
	 * Called when hasCF has changed
	 * @param source the affected instance of ibspan.tss.oms.ontology.ExtInfo
	 */
	public void hasCFChanged(ibspan.tss.oms.ontology.ExtInfo source);

}