

package ibspan.tss.oms.ontology;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
import com.hp.hpl.jena.rdf.model.*;
import com.ibm.adtech.jastor.*;
import java.util.*;
import java.math.*;
*/


/**
 * Implementations of this listener may be registered with instances of ibspan.tss.oms.ontology.OntologySource to 
 * receive notification when properties changed, added or removed.
 * <br>
 */
public interface OntologySourceListener extends com.ibm.adtech.jastor.ThingListener {


	/**
	 * Called when hasWrongTripples has changed
	 * @param source the affected instance of ibspan.tss.oms.ontology.OntologySource
	 */
	public void hasWrongTripplesChanged(ibspan.tss.oms.ontology.OntologySource source);

	/**
	 * Called when hasCorrectTripples has changed
	 * @param source the affected instance of ibspan.tss.oms.ontology.OntologySource
	 */
	public void hasCorrectTripplesChanged(ibspan.tss.oms.ontology.OntologySource source);

	/**
	 * Called when hasURL has changed
	 * @param source the affected instance of ibspan.tss.oms.ontology.OntologySource
	 */
	public void hasURLChanged(ibspan.tss.oms.ontology.OntologySource source);

	/**
	 * Called when hasCF has changed
	 * @param source the affected instance of ibspan.tss.oms.ontology.OntologySource
	 */
	public void hasCFChanged(ibspan.tss.oms.ontology.OntologySource source);

}